unordered_set File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_UNORDERED_SET

## Typedefs

template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_multiset
template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_set

## Functions

template<typename _Key, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
unordered_multiset< _Key, _Hash, _CPred, _Alloc >::size_type | std::erase_if (unordered_multiset< _Key, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)
template<typename _Key, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
unordered_set< _Key, _Hash, _CPred, _Alloc >::size_type | std::erase_if (unordered_set< _Key, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file unordered_set.

## Macro Definition Documentation

## _GLIBCXX_UNORDERED_SET

#define _GLIBCXX_UNORDERED_SET

Definition at line 30 of file unordered_set.

## Typedef Documentation

## unordered_multiset

template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_multiset

Definition at line 62 of file unordered_set.

## unordered_set

template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_set

Definition at line 58 of file unordered_set.